<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class AmcRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "company_id" => "required|exists:companies,id",
            "service_id" => "required|exists:services,id",
            "client_id" => "required|exists:clients,id",

            "start_date" => "required|date",
            "end_date" => "sometimes|date",
            "amount" => "required|numeric|between:0,99999999.99",
            // TODO: what should be type of these fields
            "invoice_copy" => "sometimes",
            "mail_subject" => "sometimes",
        ];

        if ($this->routeIs("amcs.update")) {
            $rules["company_id"] = "sometimes|exists:companies,id";
            $rules["service_id"] = "sometimes|exists:services,id";
            $rules["client_id"] = "sometimes|exists:clients,id";

            $rules["start_date"] = "sometimes|date";
            $rules["amount"] = "sometimes|numeric|between:0,99999999.99";
        }

        return $rules;
    }
}
