<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class AmcTaskRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "amc_id" => "required|exists:amcs,id",

            "name" => "required|string|max:100",
            "priority" => "required|string|max:50",
            "status" => "sometimes|string|max:50",
            "deadline" => "sometimes|date",
        ];

        if ($this->routeIs("amc-tasks.update")) {
            $rules["amc_id"] = "sometimes|exists:amcs,id";

            $rules["name"] = "sometimes|string|max:100";
            $rules["priority"] = "sometimes|string|max:50";
        }

        return $rules;
    }
}
