<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class AmcTimelineRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "amc_id" => "required|exists:amcs,id",
            "amc_task_id" => "required|exists:amc_tasks,id",

            "start_date" => "required|date",
            "end_date" => "nullable|date",
            "start_time" => "required|date_format:H:i:s",
            "end_time" => "nullable|date_format:H:i:s",
            "hours_spent" => "nullable|string|max:20",
            "approximate_cost" => "nullable|numeric|between:0,99999999.99",
        ];

        if ($this->routeIs("amc-timelines.update")) {
            $rules["amc_id"] = "sometimes|exists:amcs,id";
            $rules["amc_task_id"] = "sometimes|exists:amc_tasks,id";

            $rules["start_date"] = "sometimes|date";
            $rules["start_time"] = "sometimes|date_format:H:i:s";
        }

        return $rules;
    }
}
