<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class AnswerRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "feedback_form_id" => "required|exists:answers,id",
            "question_id" => "required|exists:questions,id",

            "answer" => "required|string|max:255"
        ];

        if ($this->routeIs("answers.update")) {
            $rules["feedback_form_id"] = "sometimes|exists:answers,id";
            $rules["question_id"] = "sometimes|exists:questions,id";
            $rules["user_id"] = "sometimes|exists:users,id";

            $rules["answer"] = "sometimes|string|max:255";
        }

        return $rules;

    }
}
