<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class AttendanceRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "user_id" => "required|exists:users,id",

            "date" => "required|date",
            "is_present" => "required|boolean",
            "login_time" => "required|date_format:H:i:s",
            "logout_time" => "nullable|date_format:H:i:s",
            "break_time" => "nullable|date_format:H:i:s",
            "no_task_time" => "nullable|date_format:H:i:s",
            "learning_time" => "nullable|date_format:H:i:s",
            "learning_topic" => "nullable|string|max:100",
            "efficient_work_hours" => "nullable|date_format:H:i:s",
            "start_location" => "nullable|string|max:50",
            "end_location" => "nullable|string|max:50",
        ];

        if ($this->routeIs("attendances.update")) {
            $rules["user_id"] = "sometimes|exists:users,id";

            $rules["date"] = "sometimes|date";
            $rules["is_present"] = "sometimes|boolean";
            $rules["login_time"] = "sometimes|date_format:H:i:s";
        }

        return $rules;
    }
}
