<?php

namespace App\Http\Requests\Api\Auth;

use App\Models\Role;
use Illuminate\Foundation\Http\FormRequest;

class SignUpRequest extends FormRequest
{
    public function authorize(): bool {
        return true;
    }

    public function rules(): array {

        return [
            "company_id" => "required_unless:role_id,".Role::IS_ADMIN."|exists:companies",
            "role_id" => "required|exists:roles,id",
            "name" => "required|string",
            "email" => "required|email|unique:users",
            "mobile_no" => "required|string",
            "password" => "required|string|confirmed",
            "password_confirmation" => "required|string",
        ];
    }
}
