<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class BreakRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "user_id" => "required|exists:users,id",

            "date" => "required|date",
            "start_time" => "required|date_format:H:i:s",
            "end_time" => "nullable|date_format:H:i:s",
            "reason" => "required|string|max:255",
            "is_approved" => "sometimes|boolean",
            "type" => "nullable|string|max:50",
        ];

        if ($this->routeIs("breaks.update")) {
            $rules["user_id"] = "sometimes|exists:users,id";

            $rules["date"] = "sometimes|date";
            $rules["start_time"] = "sometimes|date_format:H:i:s";
            $rules["reason"] = "sometimes|string|max:255";
        }

        return $rules;
    }
}
