<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class CallLogRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "company_id" => "required|exists:companies,id",
            "client_id" => "required|exists:clients,id",
            "user_id" => "required|exists:users,id",

            "description" => "required|string|max:255",
            "duration" => "required|date_format:H:i:s",
            "is_amc" => "sometimes|boolean",
        ];

        if ($this->routeIs("call-logs.update")) {
            $rules["client_id"] = "sometimes|exists:clients,id";
            $rules["user_id"] = "sometimes|exists:users,id";

            $rules["description"] = "sometimes|string|max:255";
            $rules["duration"] = "sometimes|date_format:H:i:s";
        }

        return $rules;
    }
}
