<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class CredentialRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "project_id" => "required|exists:projects,id",
            "client_id" => "required|exists:clients,id",

            "username" => "required|string|max:100",
            "password" => "required|string|max:255",
            "url" => "nullable|string|max:255",
            "type" => "nullable|string|max:50",
        ];

        if ($this->routeIs("credentials.update")) {
            $rules["project_id"] = "sometimes|exists:projects,id";
            $rules["client_id"] = "sometimes|exists:clients,id";

            $rules["username"] = "sometimes|string|max:100";
            $rules["password"] = "sometimes|string|max:255";
        }

        return $rules;
    }
}
