<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class ExpenseTypeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "name" => "required|string|max:100",
            "status" => "nullable|string|max:50",
        ];

        if ($this->routeIs("expense-types.update")) {
            $rules["name"] = "sometimes|string|max:100";
            $rules["status"] = "sometimes|string|max:50";
        }

        return $rules;
    }
}
