<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class FollowUpRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "lead_id" => "required|exists:leads,id",
            "client_id" => "nullable|exists:clients,id",

            "date" => "required|date",
            "discussion" => "required|string",
            "next_follow_up_date" => "nullable|date",
            "pending_from" => "required|in:client,company",
            'status' => "nullable|string|max:50",
        ];

        if ($this->routeIs("follow-ups.update")) {
            $rules["lead_id"] = "sometimes|exists:leads,id";

            $rules["date"] = "sometimes|date";
            $rules["discussion"] = "sometimes|string";
            $rules["pending_from"] = "sometimes|in:client,company";
        }

        return $rules;
    }
}
