<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class InvoiceDetailRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "invoice_id" => "required|exists:invoices,id",
            "service_id" => "required|exists:services,id",

            "amount" => "required|numeric|between:0,99999999.99",
            "quantity" => "sometimes|numeric"
        ];

        if ($this->routeIs("invoice-details.update")) {
            $rules["invoice_id"] = "sometimes|exists:invoices,id";
            $rules["service_id"] = "sometimes|exists:services,id";

            $rules["amount"] = "sometimes|numeric|between:0,99999999.99";
        }

        return $rules;
    }
}
