<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class LeaveRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "user_id" => "required|exists:users,id",

            "reason" => "required|string",
            "status" => "sometimes|string|max:50",
            "start_date" => "required|date",
            "end_date" => "nullable|date",
        ];

        if ($this->routeIs("leaves.update")) {
            $rules["user_id"] = "sometimes|exists:users,id";

            $rules["reason"] = "sometimes|string";
            $rules["start_date"] = "sometimes|date";
        }

        return $rules;
    }
}
