<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class ManyPermissionsRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        return [
            "permissions" => "required|array",

            "permissions.*.page_id" => "required|exists:pages,id",

            "permissions.*.can_read" => "required|boolean",
            "permissions.*.can_create" => "required|boolean",
            "permissions.*.can_update" => "required|boolean",
            "permissions.*.can_delete" => "required|boolean",
        ];
    }
}
