<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class MeetingRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "company_id" => 'required|exists:companies,id',
            "client_id" => 'nullable|exists:clients,id',

            "date_time" => "required|date",
            "is_client" => "required|boolean",
            "link" => "sometimes|string|url",
            "agenda" => "nullable|string|max:100",
            "outcome" => "nullable|string|max:100",
            "status" => "nullable|string|max:50",
            "expected_duration" => "sometimes|date_format:H:i:s",
            "final_duration" => "nullable|date_format:H:i:s",

            // Allow multiple users to be assigned
            'user_ids' => 'nullable|array',
            // Validate each user_id exists in the users table
            'user_ids.*' => 'exists:users,id',
        ];

        if ($this->routeIs("meetings.update")) {
            $rules["company_id"] = 'sometimes|exists:companies,id';

            $rules["date_time"] = "sometimes|date";
        }

        return $rules;
    }
}
