<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class NoticeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "company_id" => "required|exists:companies,id",

            "name" => "required|string|max:100",
            // TODO: Get possible values for
            "type" => "nullable|string|max:50",
            "priority" => "nullable|string|max:50",
            "status" => "nullable|string|max:50",
            "remark" => "nullable|string|max:255",
        ];

        if ($this->routeIs("notices.update")) {
            $rules["company_id"] = "sometimes|exists:companies,id";

            $rules["name"] = "sometimes|string|max:100";
        }

        return $rules;
    }
}
