<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class NotificationRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "company_id" => "required|exists:companies,id",
            "user_id" => "required|exists:users,id",

            "name" => "required|string|max:100",
            // TODO: give the format of the date to be stored
            "type" => "nullable|string|max:50",
            "priority" => "nullable|string|max:50",
            "is_seen" => "sometimes|boolean",
        ];

        if ($this->routeIs("notifications.update")) {
            $rules["company_id"] = "sometimes|exists:companies,id";
            $rules["user_id"] = "sometimes|exists:users,id";

            $rules["name"] = "sometimes|string|max:100";
            $rules["dateTime"] = "sometimes|date";
        }

        return $rules;
    }
}
