<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class PermissionRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "page_id" => "required|exists:pages,id",

            "can_read" => "required|boolean",
            "can_create" => "required|boolean",
            "can_update" => "required|boolean",
            "can_delete" => "required|boolean",
        ];

        if ($this->routeIs("permissions.update")) {
            $rules["page_id"] = "sometimes|exists:pages,id";

            $rules["can_read"] = "sometimes|boolean";
            $rules["can_create"] = "sometimes|boolean";
            $rules["can_update"] = "sometimes|boolean";
            $rules["can_delete"] = "sometimes|boolean";
        }

        return $rules;
    }
}
