<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class ProjectResourceRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "project_id" => "required|exists:projects,id",

            'resource_document' => "nullable|file",
            'build' => "nullable|file",
            'apk' => "nullable|file",
            'api_collection' => "nullable|string|max:255",
        ];

        if ($this->routeIs("project-resources.update")) {
            $rules["project_id"] = "sometimes|exists:projects,id";
        }

        return $rules;
    }
}
