<?php

namespace App\Http\Requests\Api;

use Illuminate\Contracts\Validation\ValidationRule;
use Illuminate\Foundation\Http\FormRequest;

class RatingRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, ValidationRule|array|string>
     */
    public function rules(): array {
        $rules = [
            // relations
            "user_id" => "required|exists:users,id",
            "rater_id" => "required|exists:users,id",

            "point_type" => "required|max:50",
            "point_value" => "required",
            "reason" => "sometimes|string|max:255",
            "point_specification" => "sometimes|string|max:50",
        ];

        if ($this->routeIs("ratings.update")) {
            $rules["user_id"] = "sometimes|exists:users,id";
            $rules["rater_id"] = "sometimes|exists:users,id";

            $rules["point_type"] = "sometimes|max:50";
            $rules["point_value"] = "sometimes";
        }

        return $rules;
    }
}
