<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class TaskLogRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "company_id" => "required|exists:companies,id",
            "project_id" => "required|exists:projects,id",
            "amc_task_id" => "nullable|exists:amc_tasks,id",

            "task_name" => "required|string|max:100",
            "task_type" => "nullable|string|max:50",
            "hours" => "nullable|date_format:H:i:s",
            "start_time" => "required|date",
            "end_time" => "nullable|date",
            "is_amc_task" => "nullable|boolean",
        ];

        if ($this->routeIs("task-logs.update")) {
            $rules["company_id"] = "sometimes|exists:companies,id";
            $rules["project_id"] = "sometimes|exists:projects,id";

            $rules["task_name"] = "sometimes|string|max:100";
            $rules["start_time"] = "sometimes|date";
        }

        return $rules;
    }
}
