<?php

namespace App\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;

class VendorTransactionRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array {
        $rules = [
            "vendor_id" => "required|exists:vendors,id",

            "date" => "required|date",
            "amount" => "required|numeric|between:0,99999999.99",
            "description" => "required|string",
            "is_paid" => "required|boolean",
            "status" => "nullable|string|max:50",
        ];

        if ($this->routeIs("vendor-transactions.update")) {
            $rules["vendor_id"] = "sometimes|exists:vendors,id";

            $rules["date"] = "sometimes|date";
            $rules["amount"] = "sometimes|numeric|between:0,99999999.99";
            $rules["description"] = "sometimes|string";
            $rules["is_paid"] = "sometimes|boolean";
        }

        return $rules;
    }
}
