<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class AmcResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "company_id" => $this->company_id,
            "service_id" => $this->service_id,
            "client_id" => $this->client_id,

            "start_date" => $this->start_date,
            "end_date" => $this->end_date,
            "amount" => $this->amount,
            "invoice_copy" => $this->invoice_copy,
            "mail_subject" => $this->mail_subject,

            // relations
            "company" => new CompanyResource($this->whenLoaded("company")),
            "service" => new ServiceResource($this->whenLoaded("service")),
            "client" => new ClientResource($this->whenLoaded("client")),
            "amc_tasks" => AmcTaskResource::collection($this->whenLoaded("amcTasks")),
            "amc_timelines" => AmcTimelineResource::collection($this->whenLoaded("amcTimelines")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
