<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class AmcTaskResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "amc_id" => $this->amc_id,

            "name" => $this->name,
            "priority" => $this->priority,
            "status" => $this->status,
            "deadline" => $this->deadline,

            // relations
            "amc" => new AmcResource($this->whenLoaded("amc")),
            "tasks" => TaskResource::collection($this->whenLoaded("tasks")),
            "task_logs" => TaskLogResource::collection($this->whenLoaded("taskLogs")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
