<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class AmcTimelineResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "amc_id" => $this->amc_id,
            "amc_task_id" => $this->amc_task_id,

            "start_date" => $this->start_date,
            "end_date" => $this->end_date,
            "start_time" => $this->start_time,
            "end_time" => $this->end_time,
            "hours_spent" => $this->hours_spent,
            "approximate_cost" => $this->approximate_cost,

            // relations
            "amc" => new AmcResource($this->whenLoaded("amc")),
            "amc_task" => new AmcTaskResource($this->whenLoaded("amcTask")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
