<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class AnswerResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "feedback_form_id" => $this->feedback_form_id,
            "question_id" => $this->question_id,
            "user_id" => $this->user_id,

            "answer" => $this->answer,

            // relations
            "feedback_form" => new FeedbackFormResource($this->whenLoaded("feedbackForm")),
            "question" => new FeedbackFormResource($this->whenLoaded("question")),
            "user" => new FeedbackFormResource($this->whenLoaded("answer")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
