<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class AttendanceResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "user_id" => $this->user_id,

            "date" => $this->date,
            "is_present" => $this->is_present,
            "login_time" => $this->login_time,
            "logout_time" => $this->logout_time,
            "break_time" => $this->break_time,
            "no_task_time" => $this->no_task_time,
            "learning_time" => $this->learning_time,
            "learning_topic" => $this->learning_topic,
            "efficient_work_hours" => $this->efficient_work_hours,
            "start_location" => $this->start_location,
            "end_location" => $this->end_location,

            // relations
            "user" => new UserResource($this->whenLoaded("user")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
