<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class BreakResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "user_id" => $this->user_id,

            "date" => $this->date,
            "start_time" => $this->start_time,
            "end_time" => $this->end_time,
            "reason" => $this->reason,
            "is_approved" => $this->is_approved,
            "type" => $this->type,

            // relations
            "user" => new UserResource($this->whenLoaded("user")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
