<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class CallLogResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "company_id" => $this->company_id,
            "client_id" => $this->client_id,
            "user_id" => $this->user_id,
            "description" => $this->description,
            "duration" => $this->duration,
            "is_amc" => $this->is_amc,

            // relations
            "company" => new CompanyResource($this->whenLoaded("company")),
            "client" => new ClientResource($this->whenLoaded("client")),
            "user" => new UserResource($this->whenLoaded("user")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
