<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class CredentialResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "project_id" => $this->project_id,
            "client_id" => $this->client_id,

            "username" => $this->username,
            "password" => $this->password,
            "url" => $this->url,
            "type" => $this->type,

            // relations
            "project" => new ProjectResource($this->whenLoaded("project")),
            "client" => new ClientResource($this->whenLoaded("client")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
