<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ExpenseResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "company_id" => $this->company_id,
            "expense_type_id" => $this->expense_type_id,
            "vendor_id" => $this->vendor_id,
            "user_id" => $this->user_id,

            "name" => $this->name,
            "amount" => $this->amount,
            "is_approved" => $this->is_approved,

            // relations
            "company" => new CompanyResource($this->whenLoaded("company")),
            "expense_type" => new ExpenseTypeResource($this->whenLoaded("expenseType")),
            "vendor" => new VendorResource($this->whenLoaded("vendor")),
            "spent_by" => new UserResource($this->whenLoaded("spentBy")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
