<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class FeedbackFormResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "title" => $this->title,
            "description" => $this->description,
            "start_date" => $this->start_date,
            "end_date" => $this->end_date,

            "company" => new CompanyResource($this->whenLoaded("company")),
            "questions" => QuestionResource::collection($this->whenLoaded("questions")),
            "answers" => AnswerResource::collection($this->whenLoaded("answers")),
            "employees" => UserResource::collection($this->whenLoaded("employees")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
