<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class FollowUpResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "lead_id" => $this->lead_id,
            "client_id" => $this->client_id,

            'date' => $this->date,
            'discussion' => $this->discussion,
            'next_follow_up_date' => $this->next_follow_up_date,
            'pending_from' => $this->pending_from,
            'status' => $this->status,

            // relations
            "lead" => new LeadResource($this->whenLoaded("lead")),
            "client" => new ClientResource($this->whenLoaded("client")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
