<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class InvoiceDetailResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "invoice_id" => $this->invoice_id,
            "service_id" => $this->service_id,

            "amount" => $this->amount,
            "quantity" => $this->quantity,

            // relations
            "invoice" => new InvoiceResource($this->whenLoaded("invoice")),
            "service" => new ServiceResource($this->whenLoaded("service")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
