<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class InvoiceResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "company_id" => $this->company_id,
            "client_id" => $this->client_id,

            "date" => $this->date,
            "amount" => $this->amount,
            "status" => $this->status,
            "file" => $this->file,

            // relations
            "company" => new CompanyResource($this->whenLoaded("company")),
            "client" => new ClientResource($this->whenLoaded("client")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
