<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class IssueResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "company_id" => $this->company_id,
            "project_id" => $this->project_id,

            "name" => $this->name,
            "technology" => $this->technology,
            "solutions" => $this->solutions,
            "code" => $this->code,
            "references" => $this->references,
            "file" => $this->file,

            // relations
            "company" => new CompanyResource($this->whenLoaded("company")),
            "project" => new ProjectResource($this->whenLoaded("project")),
            "user" => new UserResource($this->whenLoaded("user")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
