<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class LeaveResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "user_id" => $this->user_id,

            "reason" => $this->reason,
            "status" => $this->status,
            "start_date" => $this->start_date,
            "end_date" => $this->end_date,

            // relations
            "user" => new UserResource($this->whenLoaded("user")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
