<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class MeetingResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "company_id" => $this->company_id,
            "client_id" => $this->client_id,

            "date_time" => $this->date_time,
            "link" => $this->link,
            "agenda" => $this->agenda,
            "outcome" => $this->outcome,
            "status" => $this->status,
            "expected_duration" => $this->expected_duration,
            "final_duration" => $this->final_duration,

            // relations
            "company" => new CompanyResource($this->whenLoaded("company")),
            "client" => new ClientResource($this->whenLoaded("client")),
            "users" => UserResource::collection($this->whenLoaded("users")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
