<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class NoticeResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "company_id" => $this->company_id,

            "name" => $this->name,
            "type" => $this->type,
            "priority" => $this->priority,
            "status" => $this->status,
            "remark" => $this->remark,

            // relations
            "company" => new CompanyResource($this->whenLoaded("company")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
