<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class NotificationResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "company_id" => $this->company_id,
            "user_id" => $this->user_id,

            "name" => $this->name,
            "type" => $this->type,
            "priority" => $this->priority,
            "is_seen" => $this->is_seen,

            // relations
            "company" => new CompanyResource($this->whenLoaded("company")),
            "user" => new UserResource($this->whenLoaded("user")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
