<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class PaymentResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "company_id" => $this->company_id,
            "invoice_id" => $this->invoice_id,

            "amount" => $this->amount,
            "date" => $this->date,
            "type" => $this->type,
            "payment_mode" => $this->payment_mode,
            "file" => $this->file,

            // relations
            "company" => new CompanyResource($this->whenLoaded("company")),
            "invoice" => new InvoiceResource($this->whenLoaded("invoice")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
