<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class PermissionResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "page_id" => $this->page_id,
            "user_id" => $this->user_id,

            "can_read" => $this->can_read,
            "can_create" => $this->can_create,
            "can_update" => $this->can_update,
            "can_delete" => $this->can_delete,

            // relations
            "page" => new PageResource($this->whenLoaded("page")),
            "user" => new UserResource($this->whenLoaded("user")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
