<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ProjectResResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "project_id" => $this->project_id,

            'resource_document' => $this->resource_document,
            'build' => $this->build,
            'apk' => $this->apk,
            'api_collection' => $this->api_collection,

            // relations
            "project" => new ProjectResource($this->whenLoaded("project")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
