<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class RatingResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "user_id" => $this->user_id,
            "rater_id" => $this->rater_id,

            "point_type" => $this->point_type,
            "point_value" => $this->point_value,
            "reason" => $this->reason,
            "point_specification" => $this->point_specification,

            // relations
            "user" => new UserResource($this->whenLoaded("user")),
            "rater" => new UserResource($this->whenLoaded("rater")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
