<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ServiceResource extends JsonResource
{

    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,
            "company_id" => $this->company_id,
            "name" => $this->name,
            "hourly_cost" => $this->hourly_cost,
            "description" => $this->description,
            "image" => $this->image,

            // one-to-one relation
            "company" => new CompanyResource($this->whenLoaded("company")),

            // one-to-many relations
            "projects" => ProjectResource::collection($this->whenLoaded("projects")),
            "amcs" => AmcResource::collection($this->whenLoaded("amcs")),
            "leads" => LeadResource::collection($this->whenLoaded("leads")),
            "proposals" => ProposalResource::collection($this->whenLoaded("proposals")),
            "vendors" => VendorResource::collection($this->whenLoaded("vendors")),

            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
