<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class TaskLogResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "company_id" => $this->company_id,
            "project_id" => $this->project_id,
            "amc_task_id" => $this->amc_task_id,

            "task_name" => $this->task_name,
            "task_type" => $this->task_type,
            "hours" => $this->hours,
            "start_time" => $this->start_time,
            "end_time" => $this->end_time,
            "is_amc_task" => $this->is_amc_task,

            // relations
            "company" => new CompanyResource($this->whenLoaded("company")),
            "project" => new ProjectResource($this->whenLoaded("project")),
            "amc_task" => new AmcTaskResource($this->whenLoaded("amcTask")),
            
            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
