<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class TaskResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "company_id" => $this->company_id,
            "project_id" => $this->project_id,
            "amc_task_id" => $this->amc_task_id,

            "name" => $this->name,
            "start_date" => $this->start_date,
            "end_date" => $this->end_date,
            "start_time" => $this->start_time,
            "end_time" => $this->end_time,
            "type" => $this->type,
            "priority" => $this->priority,
            "status" => $this->status,

            // relations
            "company" => new CompanyResource($this->whenLoaded("company")),
            "project" => new ProjectResource($this->whenLoaded("project")),
            "amc_task" => new AmcTaskResource($this->whenLoaded("amcTask")),
            "users" => UserResource::collection($this->whenLoaded("users")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
