<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class VendorResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "company_id" => $this->company_id,
            "service_id" => $this->service_id,

            "name" => $this->name,
            "email" => $this->email,
            "phone_number" => $this->phone_number,

            // relations
            "company" => new CompanyResource($this->whenLoaded("company")),
            "service" => new ServiceResource($this->whenLoaded("service")),
            "expenses" => ExpenseResource::collection($this->whenLoaded("expenses")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
