<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class VendorTransactionResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "vendor_id" => $this->vendor_id,

            "description" => $this->description,
            "amount" => $this->amount,
            "status" => $this->status,
            "date" => $this->date,
            "is_paid" => $this->is_paid,

            // relations
            "vendor" => new VendorResource($this->whenLoaded("vendor")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
