<?php

namespace App\Listeners;

use App\Events\MeetingScheduled;
use App\Mail\MeetingScheduledMail;
use Illuminate\Support\Facades\Mail;

class SendMeetingScheduledMail
{
    /**
     * Create the event listener.
     */
    public function __construct() {
        //
    }

    /**
     * Handle the event.
     */
    public function handle(MeetingScheduled $event): void {
        $recipients = $event->meeting->is_client
            ? [$event->meeting->client?->email]
            : $event->meeting->users()->pluck("email")->toArray();

        collect($recipients)->each(
            fn($recipient) => Mail::to($recipient)->queue(new MeetingScheduledMail($event->meeting)));
    }
}
