<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class AmcTimeline extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "amc_id",
        "amc_task_id",

        "start_date",
        "end_date",
        "start_time",
        "end_time",
        "hours_spent",
        "approximate_cost",
    ];

    protected $casts = [
        "start_date" => "date",
        "end_date" => "date",
        "start_time" => "dateformat:H:i:s",
        "end_time" => "datetime:H:i:s"
    ];

    public function amc(): BelongsTo {
        return $this->belongsTo(Amc::class);
    }

    public function amcTask(): BelongsTo {
        return $this->belongsTo(AmcTask::class);
    }
}
