<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Answer extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "feedback_form_id",
        "question_id",
        "user_id",

        "answer",
    ];


    public function feedbackForm(): BelongsTo {
        return $this->belongsTo(FeedbackForm::class);
    }

    public function question(): BelongsTo {
        return $this->belongsTo(Question::class);
    }

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }
}
