<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Attendance extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "user_id",

        "date",
        "is_present",
        "login_time",
        "logout_time",
        "break_time",
        "no_task_time",
        "learning_time",
        "learning_topic",
        "efficient_work_hours",
        "start_location",
        "end_location",
    ];

    protected $casts = [
        "date" => "date",
        "is_present" => "boolean",
        "login_time" => "datetime:H:i:s",
        "logout_time" => "datetime:H:i:s",
        "break_time" => "datetime:H:i:s",
        "no_task_time" => "datetime:H:i:s",
        "learning_time" => "datetime:H:i:s",
        "efficient_work_hours" => "datetime:H:i:s",
    ];

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }
}
