<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Complaint extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "company_id",
        "user_id",

        "name",
        "description",
        "priority",
    ];

    public function company(): BelongsTo {
        return $this->belongsTo(Company::class);
    }

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }
}
