<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Credential extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "project_id",
        "client_id",

        "username",
        "password",
        "url",
        "type",
    ];

    public function project(): BelongsTo {
        return $this->belongsTo(Project::class);
    }

    public function client(): BelongsTo {
        return $this->belongsTo(Client::class);
    }

}
