<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Database\Factories\BreakFactory;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class EmployeeBreak extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $table = "breaks";

    protected $fillable = [
        "user_id",

        "date",
        "start_time",
        "end_time",
        "reason",
        "is_approved",
        "type",
    ];

    protected $casts = [
        "date" => "date",
        "start_time" => "datetime:H:i:s",
        "end_time" => "datetime:H:i:s",
        "is_approved" => "boolean",
    ];

    // Explicitly specify the factory to use for this model.
    // (Because name of the factory and model are different)
    protected static function newFactory(): Factory {
        return BreakFactory::new();
    }

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }
}
