<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;

class ExpenseType extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "name",
        "status"
    ];

    protected array $cascadeDeletes = ["expenses"];

    public function expenses(): HasMany {
        return $this->hasMany(Expense::class);
    }
}
