<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class FollowUp extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "lead_id",
        "client_id",

        'date',
        'discussion',
        'next_follow_up_date',
        'pending_from',
        'status',
    ];

    protected $casts = [
        "date" => "date",
        "next_follow_up_date" => "date",
    ];

    public function lead(): BelongsTo {
        return $this->belongsTo(Lead::class);
    }

    public function client(): BelongsTo {
        return $this->belongsTo(Client::class);
    }
}
