<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Holiday extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "name",
        "start_date",
        "end_date",
        "no_days",
    ];

    protected $casts = [
        "start_date" => "date",
        "end_date" => "date",
        "no_days" => "integer",
    ];
}
