<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class InvoiceDetail extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "invoice_id",
        "service_id",

        "amount",
        "quantity"
    ];

    protected $casts = [
        "quantity" => "integer",
    ];

    public function invoice(): BelongsTo {
        return $this->belongsTo(Invoice::class);
    }

    public function service(): BelongsTo {
        return $this->belongsTo(Service::class);
    }
}
