<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Issue extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "company_id",
        "project_id",
        "user_id",

        "name",
        "technology",
        "solutions",
        "code",
        "references",
    ];

    public function company(): BelongsTo {
        return $this->belongsTo(Company::class);
    }

    public function project(): BelongsTo {
        return $this->belongsTo(Project::class);
    }

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }
}
