<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Leave extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "user_id",

        "reason",
        "status",
        "start_date",
        "end_date",
    ];

    protected $casts = [
        "start_date" => "date",
        "end_date" => "date",
    ];

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }
}
