<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Dyrynda\Database\Support\CascadeSoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Page extends Model
{
    use HasFactory, Filterable, CascadeSoftDeletes;

    protected $fillable = [
        "name"
    ];

    public function permissions(): HasMany {
        return $this->hasMany(Permission::class);
    }
}
