<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Payment extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "company_id",
        "invoice_id",

        "amount",
        "date",
        "type",
        "payment_mode",
    ];

    protected $casts = [
        "date" => 'date',
    ];

    public function invoice(): BelongsTo {
        return $this->belongsTo(Invoice::class);
    }

    public function company(): BelongsTo {
        return $this->belongsTo(Company::class);
    }
}
