<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Permission extends Model
{
    use HasFactory, Filterable;

    protected $fillable = [
        "page_id",
        "user_id",

        "can_read",
        "can_create",
        "can_update",
        "can_delete",
    ];

    public function page(): BelongsTo {
        return $this->belongsTo(Page::class);
    }

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }
}
