<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Proposal extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "company_id",
        "service_id",

        'name',
        'email',
        'phone_number',
        'quotation_amount',
        'sent_date',
        'status',
    ];

    protected $casts = [
        "sent_date" => "date",
    ];

    public function company(): BelongsTo {
        return $this->belongsTo(Company::class);
    }

    public function service(): BelongsTo {
        return $this->belongsTo(Service::class);
    }
}
