<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Rating extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "user_id",
        "rater_id",
        "point_type",
        "point_value",
        "reason",
        "point_specification",
    ];

    protected $casts = [
        "point_value" => "integer",
    ];

    public function user(): BelongsTo {
        return $this->belongsTo(User::class);
    }

    public function rater(): BelongsTo {
        return $this->belongsTo(User::class, "rater_id");
    }
}
