<?php

namespace App\Models;

use Dyrynda\Database\Support\CascadeSoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;

class Role extends Model
{
    use HasFactory, SoftDeletes, CascadeSoftDeletes;

    public const IS_ADMIN = 1;
    public const IS_HR = 2;
    public const IS_EMPLOYEE = 3;

    protected $fillable = ["name"];

    protected array $cascadeDeletes = ["users"];

    public function users(): HasMany {
        return $this->hasMany(User::class);
    }
}
