<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class TaskLog extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "company_id",
        "project_id",
        "amc_task_id",

        "task_name",
        "task_type",
        "hours",
        "start_time",
        "end_time",
        "is_amc_task",
    ];

    protected $casts = [
        "hours" => "datetime:H:i:s",
        "start_time" => "datetime:H:i:s",
        "end_time" => "datetime:H:i:s",
        "is_amc_task" => "boolean",
    ];

    public function company(): BelongsTo {
        return $this->belongsTo(Company::class);
    }

    public function project(): BelongsTo {
        return $this->belongsTo(Project::class);
    }

    public function amcTask(): BelongsTo {
        return $this->belongsTo(AmcTask::class);
    }
}
