<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;

class Vendor extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "company_id",
        "service_id",

        "name",
        "email",
        "phone_number",
    ];

    public function company(): BelongsTo {
        return $this->belongsTo(Company::class);
    }

    public function service(): BelongsTo {
        return $this->belongsTo(Service::class);
    }

    public function expenses(): HasMany {
        return $this->hasMany(Expense::class);
    }
}
