<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class VendorTransaction extends Model
{
    use HasFactory, Filterable, SoftDeletes;

    protected $fillable = [
        "vendor_id",

        "description",
        "amount",
        "status",
        "date",
        "is_paid",
    ];

    protected $casts = [
        "date" => "date",
        "is_paid" => "boolean",
    ];

    public function vendor(): BelongsTo {
        return $this->belongsTo(Vendor::class);
    }
}
