<?php

namespace App\Observers;

use App\Mail\AmcCreatedMail;
use App\Models\Amc;
use App\Models\Role;
use App\Models\User;
use Illuminate\Support\Collection;
use Illuminate\Support\Facades\Mail;

class AmcObserver
{
    protected Collection $admins;

    public function __construct() {
        $this->admins = User::query()->where("role_id", Role::IS_ADMIN)->get();
    }

    /**
     * Handle the Amc "created" event.
     */
    public function created(Amc $amc): void {
        $recipients = array_merge(
            $this->admins->pluck('email')->toArray(),
            [$amc->client->email]
        );

        Mail::to($recipients)
            ->queue(new AmcCreatedMail($amc));
    }

}
