<?php

namespace App\Observers;

use App\Mail\MeetingScheduledMail;
use App\Models\Meeting;
use Illuminate\Support\Facades\Mail;

class MeetingObserver
{
    /**
     * Handle the Meeting "saved" event.
     */
    public function saved(Meeting $meeting): void {
        $recipients = $meeting->is_client
            ? [$meeting->client?->email]
            : $meeting->users()->pluck("email")->toArray();

        $recipients && Mail::to($recipients)
            ->send(new MeetingScheduledMail($meeting));
    }
}
