<?php

namespace App\Observers;

use App\Mail\ProjectCreatedMail;
use App\Models\Project;
use App\Models\Role;
use App\Models\User;
use Illuminate\Support\Collection;
use Illuminate\Support\Facades\Mail;

class ProjectObserver
{
    protected Collection $admins;

    public function __construct() {
        $this->admins = User::query()->where("role_id", Role::IS_ADMIN)->get();
    }

    /**
     * Handle the Project "saved" event.
     */
    public function saved(Project $project): void {
        Mail::to($this->admins)->queue(new ProjectCreatedMail($project));
    }
}
