<?php

namespace Database\Factories;

use App\Models\Company;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Company>
 */
class CompanyFactory extends Factory
{

    protected $model = Company::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "name" => $this->faker->company,
            "founder_name" => $this->faker->name,
            "gst_no" => $this->faker->numberBetween(100000000, 999999999),
            "address" => $this->faker->paragraph(1),
            "bank_name" => $this->faker->name,
            "account_no" => $this->faker->numberBetween(10000000, 99999999),
            "branch_name" => "Kandivali",
            "ifsc_code" => "IFSC0001",

            "logo" => null,
            "sign" => null,
            "stamp" => null,
            "anniversary_date" => $this->faker->date,
        ];
    }
}
