<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Project>
 */
class ProjectFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "start_date" => $this->faker->date,
            "end_date" => null,
            "cost" => $this->faker->numberBetween(50000, 500000),
            "test_url" => $this->faker->url,
            "live_url" => $this->faker->url,
            "db_design_url" => $this->faker->url,
            "payment_received" => 0,
            "payment_received_percentage" => 0
        ];
    }
}
