<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Task>
 */
class TaskFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array {
        return [
            "start_date" => $this->faker->date,
            "end_date" => null,
            "start_time" => $this->faker->time,
            "end_time" => null,
            "type" => $this->faker->word,
            "status" => $this->faker->randomElement(["pending", "started", "in-progress", "completed"]),
            "priority" => $this->faker->randomElement(["low", "medium", "high"]),
        ];
    }
}
