<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('companies', function (Blueprint $table) {
            $table->id();

            $table->string("name", 100);
            $table->string("founder_name", 100);
            $table->string("gst_no", 50);
            $table->string("address", 255);
            $table->date("anniversary_date");

            $table->string("bank_name", 100)->nullable();
            $table->string("branch_name", 50)->nullable();
            $table->string("account_no", 50)->nullable();
            $table->string("ifsc_code", 20)->nullable();

            // file uploads (to store file names)
            $table->string("logo", 100)->nullable();
            $table->string("sign", 100)->nullable();
            $table->string("stamp", 100)->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('companies');
    }
};
