<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('clients', function (Blueprint $table) {
            $table->id();

            $table->foreignId("company_id")->constrained("companies")
                ->cascadeOnDelete();

            $table->string("name", 100);
            $table->string("company_name", 100);
            $table->string("billing_name", 100)->nullable();
            $table->string("email")->unique();
            $table->string("phone_number", 20);
            $table->string("gst_no", 20);
            $table->date("dob");
            // Latitude ranges from -90 to 90,
            $table->decimal("latitude", 8, 6);
            // Longitude ranges from -180 to 180
            $table->decimal("longitude", 9, 6);

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('clients');
    }
};
