<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('ratings', function (Blueprint $table) {
            $table->id();

            $table->foreignId("user_id")->constrained("users")
                ->cascadeOnDelete();
            $table->foreignId("rater_id")->constrained("users")
                ->cascadeOnDelete();

            $table->string("point_type", 50);
            $table->unsignedTinyInteger("point_value");
            $table->string("reason")->nullable();
            $table->string("point_specification", 50)->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('ratings');
    }
};
