<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {

    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('attendances', function (Blueprint $table) {
            $table->id();

            $table->foreignId("user_id")->constrained("users")
                ->cascadeOnDelete();

            $table->date("date");
            $table->boolean("is_present")->default(false);
            $table->time("login_time");
            $table->time("logout_time")->nullable();
            $table->time("break_time")->nullable();
            $table->time("no_task_time")->nullable();
            $table->time("learning_time")->nullable();
            $table->string("learning_topic", 100)->nullable();
            $table->time("efficient_work_hours")->nullable();
            $table->string("start_location", 50)->nullable();
            $table->string("end_location", 50)->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('attendances');
    }
};
