<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('breaks', function (Blueprint $table) {
            $table->id();

            $table->foreignId("user_id")->constrained("users")
                ->cascadeOnDelete();

            $table->date("date");
            $table->time("start_time");
            $table->time("end_time")->nullable();
            $table->string("reason")->nullable();
            $table->boolean("is_approved")->default(false);
            $table->string("type", 50)->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('breaks');
    }
};
