<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('invoices', function (Blueprint $table) {
            $table->id();

            $table->foreignId("company_id")->constrained("companies")
                ->cascadeOnDelete();
            $table->foreignId("client_id")->constrained("clients")
                ->cascadeOnDelete();

            $table->date("date");
            $table->decimal("amount", 10, 2);
            $table->string("status", 50)->nullable();

            // file uploads (to store file names)
            $table->string("file", 100)->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('invoices');
    }
};
