<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('project_resources', function (Blueprint $table) {
            $table->id();

            $table->foreignId("project_id")->constrained("projects")
                ->cascadeOnDelete()->cascadeOnUpdate();

            // TODO: ask what will be stored urls or files
            $table->string("resource_document", 100)->nullable();
            $table->string("build", 100)->nullable();
            $table->string("apk", 100)->nullable();
            $table->string("api_collection")->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('project_resources');
    }
};
