<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('amcs', function (Blueprint $table) {
            $table->id();

            $table->foreignId("company_id")->constrained("companies")
                ->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId("service_id")->constrained("services")
                ->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId("client_id")->constrained("clients")
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->date("start_date");
            $table->date("end_date");
            $table->decimal("amount", 10, 2);
            $table->string("invoice_copy", 100)->nullable();
            $table->string("mail_subject")->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('amcs');
    }
};
