<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('amc_tasks', function (Blueprint $table) {
            $table->id();

            $table->foreignId("amc_id")->constrained("amcs")
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->string("name", 100);
            $table->string("priority", 50);
            $table->string("status", 50);
            $table->date("deadline")->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('amc_tasks');
    }
};
