<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('amc_timelines', function (Blueprint $table) {
            $table->id();
            $table->foreignId("amc_id")->constrained("amcs")
                ->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId("amc_task_id")->constrained("amc_tasks")
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->date("start_date");
            $table->date("end_date")->nullable();
            $table->time("start_time");
            $table->time("end_time")->nullable();
            $table->string("hours_spent", 20)->nullable();
            $table->decimal("approximate_cost", 10, 2)->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('amc_timelines');
    }
};
