<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('tasks', function (Blueprint $table) {
            $table->id();

            $table->foreignId("company_id")->constrained("companies")
                ->cascadeOnDelete();
            $table->foreignId("project_id")->nullable()->constrained("projects")
                ->cascadeOnDelete();
            $table->foreignId("amc_task_id")->nullable()->constrained("amc_tasks")
                ->cascadeOnDelete();

            $table->string("name", 100);
            $table->date("start_date");
            $table->date("end_date")->nullable();
            $table->time("start_time");
            $table->time("end_time")->nullable();
            $table->string("type", 100)->nullable();
            $table->string("priority", 50)->nullable();
            $table->string("status", 50)->nullable();

            $table->timestamps();
            $table->softDeletes();
        });

        Schema::create('task_user', function (Blueprint $table) {
            $table->id();
            $table->foreignId('task_id')->constrained('tasks')
                ->cascadeOnDelete();
            $table->foreignId('user_id')->constrained('users')
                ->cascadeOnDelete();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('task_user');
        Schema::dropIfExists('tasks');
    }
};
