<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('invoice_details', function (Blueprint $table) {
            $table->id();

            $table->foreignId("invoice_id")->constrained("invoices")
                ->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId("service_id")->constrained("services")
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->decimal("amount", 10, 2);
            $table->unsignedMediumInteger("quantity");

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('invoice_details');
    }
};
