<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('payments', function (Blueprint $table) {
            $table->id();


            $table->foreignId("company_id")->constrained("companies")
                ->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId("invoice_id")->constrained("invoices")
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->decimal("amount", 10, 2);
            $table->date("date");
            $table->string("type", 50);
            $table->string("payment_mode", 50);

            // file uploads (to store file names)
            $table->string("file")->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('payments');
    }
};
