<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('leaves', function (Blueprint $table) {
            $table->id();

            $table->foreignId("user_id")->constrained("users")
                ->cascadeOnDelete()->cascadeOnUpdate();

            $table->text("reason")->nullable();
            $table->string("status", 50)->nullable();
            $table->date("start_date");
            $table->date("end_date")->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('leaves');
    }
};
