<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('complaints', function (Blueprint $table) {
            $table->id();

            $table->foreignId("company_id")->constrained("companies")
                ->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId("user_id")->constrained("users")
                ->cascadeOnDelete()->cascadeOnUpdate();

            $table->string("name", 100);
            $table->text("description")->nullable();
            $table->string("priority", 50)->nullable();

            // file uploads (to store file names)
            $table->string("file")->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('complaints');
    }
};
