<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('task_logs', function (Blueprint $table) {
            $table->id();

            $table->foreignId("company_id")->constrained("companies")
                ->cascadeOnDelete();
            $table->foreignId("project_id")->nullable()
                ->constrained("projects")->cascadeOnDelete();
            $table->foreignId("amc_task_id")->nullable()
                ->constrained("amc_tasks");

            $table->string("task_name", 100);
            $table->string("task_type", 50)->nullable();
            $table->time("hours")->nullable();
            $table->dateTime("start_time");
            $table->dateTime("end_time")->nullable();
            $table->boolean("is_amc_task")->default(false);

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('task_logs');
    }
};
