<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('credentials', function (Blueprint $table) {
            $table->id();

            $table->foreignId("project_id")
                ->constrained("projects")->cascadeOnDelete();
            $table->foreignId("client_id")
                ->constrained("clients")->cascadeOnDelete();

            $table->string("username", 100);
            $table->string("password");
            $table->string("url")->nullable();
            $table->string("type", 50)->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('credentials');
    }
};
