<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create("follow_ups", function (Blueprint $table) {
            $table->id();

            $table->foreignId("lead_id")->constrained("leads")
                ->cascadeOnDelete();
            $table->foreignId("client_id")->nullable()
                ->constrained("clients")->cascadeOnDelete();

            $table->date('date');
            $table->text('discussion');
            $table->date('next_follow_up_date')->nullable();
            $table->enum('pending_from', ['client', 'company'])->default("client");
            $table->string('status', 50)->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('follow_ups');
    }
};
