<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('proposals', function (Blueprint $table) {
            $table->id();

            $table->foreignId("company_id")->constrained("companies")
                ->cascadeOnDelete();
            $table->foreignId("service_id")->constrained("services")
                ->cascadeOnDelete();

            $table->string('name', 100);
            $table->string('email')->unique();
            $table->string('phone_number', 20);
            $table->decimal('quotation_amount', 10, 2)->default(0);
            $table->date('sent_date')->nullable();
            $table->string('status', 50)->nullable();
            $table->string('file', 100)->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('proposals');
    }
};
