<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('vendor_transactions', function (Blueprint $table) {
            $table->id();

            $table->foreignId("vendor_id")->constrained("vendors")->cascadeOnDelete();

            $table->date("date");
            $table->decimal("amount", 10, 2)->default(0);
            $table->string("description");
            $table->boolean("is_paid")->default(false);
            $table->string("status", 50)->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('vendor_transactions');
    }
};
