<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('expenses', function (Blueprint $table) {
            $table->id();

            $table->foreignId("company_id")->constrained("companies")->cascadeOnDelete();
            $table->foreignId("expense_type_id")->constrained("expense_types")->cascadeOnDelete();
            $table->foreignId("vendor_id")->nullable()
                ->constrained("vendors")->cascadeOnDelete();
            // for spent by column
            $table->foreignId("user_id")->nullable()
                ->constrained("users")->cascadeOnDelete();

            $table->string("name", 100);
            $table->decimal("amount", 10, 2)->default(0);
            $table->boolean("is_approved")->default(false);
            $table->string("file", 100)->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('expenses');
    }
};
