<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('issues', function (Blueprint $table) {
            $table->id();

            $table->foreignId("company_id")->constrained("companies")->cascadeOnDelete();
            $table->foreignId("project_id")->nullable()->constrained("projects")->cascadeOnDelete();
            $table->foreignId("user_id")->constrained("users")->cascadeOnDelete();

            $table->string("name", 100);
            $table->string("technology", 100);
            $table->mediumText("solutions");
            $table->mediumText("code")->nullable();
            $table->text("references")->nullable();
            $table->string("file", 100)->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('issues');
    }
};
