<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('feedback_forms', function (Blueprint $table) {
            $table->id();

            $table->foreignId("company_id")->constrained("companies")->cascadeOnDelete();

            $table->string("title", 100);
            $table->string("description")->nullable();
            $table->date("start_date");
            $table->date("end_date");

            $table->timestamps();
            $table->softDeletes();
        });

        Schema::create("employee_feedback", function (Blueprint $table) {
            $table->id();

            $table->foreignId("feedback_form_id")->constrained("feedback_forms")->cascadeOnDelete();
            $table->foreignId("user_id")->constrained("users")->cascadeOnDelete();
            $table->unique(["feedback_form_id", "user_id"]);

            $table->date("submitted_at")->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('feedback_forms');
    }
};
