<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('answers', function (Blueprint $table) {
            $table->id();

            $table->foreignId("feedback_form_id")->constrained("feedback_forms")->cascadeOnDelete();
            $table->foreignId("question_id")->constrained("questions")->cascadeOnDelete();
            $table->foreignId("user_id")->constrained("users")->cascadeOnDelete();

            $table->text("answer");

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('answers');
    }
};
