<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('call_logs', function (Blueprint $table) {
            $table->id();

            $table->foreignId("company_id")->constrained("companies")->cascadeOnDelete();
            $table->foreignId("client_id")->constrained("clients")->cascadeOnDelete();
            $table->foreignId("user_id")->constrained("users")->cascadeOnDelete();

            $table->string("description")->nullable();
            $table->time("duration");
            $table->boolean("is_amc")->default(false);

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('call_logs');
    }
};
