<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('permissions', function (Blueprint $table) {
            $table->id();

            $table->foreignId("page_id")->constrained("pages")->cascadeOnDelete();
            $table->foreignId("user_id")->constrained("users")->cascadeOnDelete();

            $table->boolean("can_read")->default(false);
            $table->boolean("can_create")->default(false);
            $table->boolean("can_update")->default(false);
            $table->boolean("can_delete")->default(false);

            $table->unique(["page_id", "user_id"]);

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('permissions');
    }
};
